tightvnc (1:1.3.10-10build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:45:52 +0100

tightvnc (1:1.3.10-10) unstable; urgency=medium

  * Revert "d/control + d/rules: Force using gcc-15.", effectively bringing
    the changes of version 1:1.3.10-10~exp1 to unstable.

 -- Sven Geuer <sge@debian.org>  Mon, 18 Aug 2025 14:10:37 +0200

tightvnc (1:1.3.10-10~exp2) experimental; urgency=medium

  * d/control + d/rules: Force using gcc-15.

 -- Sven Geuer <sge@debian.org>  Sun, 17 Aug 2025 20:04:39 +0200

tightvnc (1:1.3.10-10~exp1) experimental; urgency=medium

  * d/rules:
    - Extend CFLAGS with -std=gnu90 instead of -fpermissive (Closes: #1097998).
    - Fix a comment.
  * d/p/*:
    - Remove unused -lcrypt from install-makefile-build-system.patch
      (Closes: #1102457).
    - Remove more-arm64-fixes.patch, its functionality is fully covered by
      configure-by-size-width-and-byte-order.patch.
    - Fix DEP-3 headers of CVE-2018-20021.patch, CVE-2018-20022.patch,
      CVE-2019-8287.patch and CVE-2019-15680.patch.
  * d/copyright:
    - In GPL-2+ license, replace GNU postal address by URL.
    - Bump Debian copyright years.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Fri, 15 Aug 2025 20:58:36 +0200

tightvnc (1:1.3.10-9) unstable; urgency=medium

  * d/p/install-makefile-build-system.patch:
    - Remove permission of implicit function declaration in favour of d/rules.
  * d/rules:
    - Modify CFLAGS to allow for implicit function declaration.
    - Extend CFLAGS with -fpermissive to allow for builds with GCC-14.
      This measure fixes bug #1075573. It was requested to not close the bug,
      thus no Closes tag here.
  * d/copyright: Update my email address to the d.o one.
  * d/control: Update my email address to the d.o one.
  * d/gbp.conf: Switch debian-branch to debian/unstable.

 -- Sven Geuer <sge@debian.org>  Fri, 05 Jul 2024 22:51:07 +0200

tightvnc (1:1.3.10-8) unstable; urgency=medium

  * Fix typo in Xvnc/programs/Xserver/mfb/Makefile (Closes: #1047359).
    - Update d/p/install-makefile-build-system.patch.
  * d/rules: Make use of execute_before/after_dh_command.
  * Allow for implicit function definitions (Closes: #1066337).
    - Update d/p/install-makefile-build-system.patch.
  * Bump years in d/copyright to 2024 where required.
  * Bump Standards-Version to 4.7.0; no more changes necessary.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 23 Apr 2024 21:07:37 +0200

tightvnc (1:1.3.10-7) unstable; urgency=medium

  * Fix source name of link to Xvnc's man page alternative (Closes: #1030681).
    - Update d/tightvncserver.postinst.
  * Manage alternatives symlinks related to tightvncpasswd from the respective
    package (Closes: #1030820).
    - Update d/tightvncserver.postinst.
    - Update d/tightvncserver.prerm.
    - Introduce d/tightvncpasswd.postinst.
    - Introduce d/tightvncpasswd.prerm.
    - Update d/control.
  * Bump years in d/copyright to 2023 where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 09 Feb 2023 20:17:44 +0100

tightvnc (1:1.3.10-6) unstable; urgency=medium

  * Bump years in d/copyright to 2022 where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 15:49:28 +0200

tightvnc (1:1.3.10-5) unstable; urgency=medium

  * Utilize dh_install and dh-exec instead of installing files explicitly
    in d/rules per override_dh_auto_install.
    - Add dh-exec to Build-Depends.
    - Introduce d/tightvncserver.install.
    - Introduce d/xtightvncviewer.install.
    - Remove d/tightvncserver.dirs.
    - Remove d/xtightvncviewer.dirs.
    - Remove override_dh_auto_install section from d/rules.
  * Split off tightvncpasswd as a package of its own and recommend it for
    xtightvncviewer (Closes: #598395).
    - Introduce d/tightvncpasswd.install.
    - Update d/tightvncserver.install.
    - Update tightvncserver's Depends.
    - Update xtightvncviewer's Recommends.
  * Fix buildd log scanner error pointer-trouble-at-implicit.
    - Update d/p/install-makefile-build-system.patch.
  * Remove the unsupported X resource userLogin from the manual page of
    xtightvncviewer.
    - Update d/p/vncviewer.man.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 04 Oct 2021 08:40:52 +0200

tightvnc (1:1.3.10-4) unstable; urgency=medium

  * Bring the makefile based build system from experimental to unstable
    (Closes: #697062, #731496).
  * Remove the unsupported -user option from the manual page of
    xtightvncviewer (Closes: #542426, #674068).
  * Rename d/p/20-vncviewer--vncviewer.man.patch to d/p/vncviewer.man.patch.
  * Bump Standards-Version to 4.6.0; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 28 Aug 2021 22:18:21 +0200

tightvnc (1:1.3.10-4~exp2) experimental; urgency=medium

  * Remove upstream's imake build system and all related patches.
    - Introduce remove-upstream-build-system.patch.
    - Remove 30-ftbfs-mips.patch.
    - Update debian-changes-1.3.9-6.1.patch.
    - Remove aarch64.patch.
    - Update ppc64el.patch.
    - Remove fix-deprecated_BSD+SVID-option.patch.
    - Remove no-stipple.patch.
    - Remove ftbfs-with-binutils-236.patch.
  * Introduce a patch holding the makefiles introduced with tightvnc
    1:1.3.10-3~exp1.
    - Create install-makefile-build-system.patch.
    - Remove debian/makefiles tree.
  * Remove imake support from d/rules.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 15 Jul 2021 19:01:54 +0200

tightvnc (1:1.3.10-4~exp1) experimental; urgency=medium

  * Reapply changes from 1:1.3.10-3~exp1 and 1:1.3.10-3~exp2.
  * Fix FTBFS with architecture hurd-i386 further. The previous fix
    did not suffice.
    - Update d/p/ftbfs-hurd-i386.patch.
  * Rework makefiles to allow for parallel execution of make.
  * Update d/rules.
    - Run dh_auto_build in parallel mode.
    - Force lynx to apply the English language (Fixes the reprotest failure
      on salsa.d.o).

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 04 Jul 2021 21:12:14 +0200

tightvnc (1:1.3.10-3) unstable; urgency=medium

  * Allow for a home directory name containing spaces and other unusual
    characters (Closes: #984776).
    - Roll back changes from 1:1.3.10-3~exp1 and 1:1.3.10-3~exp2 to
      enable a targeted fix to unstable.
    - Add d/patches/space-chars-in-home-dir-name.patch. Thanks to
      Antoni Villalonga <antoni@friki.cat> for an initial version of the
      fix.
    - Extend the autopkgtest to cover this case.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 28 Mar 2021 01:31:39 +0100

tightvnc (1:1.3.10-3~exp2) experimental; urgency=medium

  * Fix FTBFS with architectures hurd-i386 and sparc64.
    - Introduce d/p/ftbfs-hurd-i386.patch.
    - Introduce d/p/ftbfs-sparc64.patch.
  * Drop xutils-dev from Build-Depends.
  * Add comment to d/rules instructing how still to build using imake.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 05 Mar 2021 21:02:12 +0100

tightvnc (1:1.3.10-3~exp1) experimental; urgency=medium

  * Substitute upstream's imake build system by a tree of makefiles
    (Closes: #697060).
  * Drop perl from Build-Depends.
  * Introduce d/p/format-security.patch.
  * Introduce d/p/configure-by-size-width-and-byte-order.patch to overload
    upstream's configurations per machine type.
  * Introduce d/p/deprecated-XKeycodeToKeysym.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sun, 28 Feb 2021 22:31:03 +0100

tightvnc (1:1.3.10-2) unstable; urgency=medium

  * Fix FTBFS with binutils 2.36 (Closes: #981734).
    - Add d/patches/ftbfs-with-binutils-236.patch. Thanks to
      Matthias Klose <doko@debian.org> for the hint and the solution.
  * Update d/watch to version 4.
  * Add d/source/lintian-overrides.
  * Bump years in d/copyright to 2021 where required.
  * Bump Standards-Version to 4.5.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 03 Feb 2021 20:19:08 +0100

tightvnc (1:1.3.10-1) unstable; urgency=medium

  * Team upload.

  [ Sven Geuer ]
  * New upstream release (Closes: #397548, #833668, #836068).
  * Adapt d/patches/* to new release.
    - Update debian-changes-1.3.9-6.1.patch.
    - Remove 782620-crashfix.patch for having been applied upstream.
  * Adapt d/t/* to new release.
  * Update d/rules to install tightvncserver.conf to /etc.
  * Add d/tightvncserver.NEWS.
  * Relax d/t/t/serverlog.patterns to run autopkgtest successfully in variant
    environments.
  * Update d/p/ftbfs-gcc-10.patch to fix FTBFS with gcc-10 on MIPS
    architectures.
  * Revise the build process to rely on dh.
    - Rewrite d/rules from scratch.
    - Update d/control to Rules-Requires-Root: no.
    - Remove unused directories from d/tightvncserver.dirs.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 02 Sep 2020 22:17:56 +0200

tightvnc (1:1.3.9-10) unstable; urgency=medium

  * Team upload.

  [ Sven Geuer ]
  * New maintainer and uploader (Closes: #586413).
  * Fix FTBFS with gcc-10 (Closes: #957878).
    - Add d/patches/ftbfs-gcc-10.patch.
  * Fix FTBFS on MIPS architectures (Closes: #853117).
    - Add d/patches/no-stipple.patch. Thanks to Adrian Bunk <bunk@debian.org>
      who provided this patch.
  * Replace deprecated options _BSD_SOURCE and _SVID_SOURCE by _DEFAULT_SOURCE.
    - Add d/patches/fix-deprecated_BSD+SVID-option.patch
  * Fix spelling in various files
    - Add d/patches/fix-spelling.patch.
    - Remove 10-Xvnc--programs--Xserver--Xvnc.man.patch for its fix has become
      part of the new patch.
  * Remove pointless diffs from d/patches/debian-changes-1.3.9-6.1 and add
    suffix .patch to the filename. Files not generated anymore by this patch
    are Makefile, 1.3.10-sparc.patch?view=markup and Xvnc/Makefile.
  * Revise patch headers to comply with DEP-3.
    - Fix header of d/patches/20-vncviewer--vncviewer.man.patch.
    - Add header to d/patches/more-arm64-fixes.patch.
  * Introduce autopkgtest per d/tests/*.
    - the test establishes a connection from xtightvncviewer to
      tightvncviewer and checks the server log for expected content.
  * Replace Build-Depends perl-module by perl to fix the lintian error.
  * Switch to DH compat format and raise level.
    - Replace Build-Depends debhelper (>> 7.1) by debhelper-compat (= 13)
      in d/control.
    - Remove file d/compat.
  * Add fields Rules-Requires-Root, Vcs-Browser, Vcs-Git to d/control
    and update field Homepage.
  * Fix upstream source URL in d/watch.
  * Revise d/copyright to comply with DEP-5.
  * Add d/upstream/metadata.
  * Add d/gbp.conf.
  * Add d/salsa-ci.yml.
  * Add 'Non-maintainer upload' to the top of the previous changelog, lintian
    complained about it was missing.
  * Bump Standards-Version to 4.5.0.

  [ Mike Gabriel ]
  * d/*.html: White-space cleanup (at EOL).
  * d/*: Apply 'wrap-and-sort -at'.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Jun 2020 20:39:38 +0200

tightvnc (1:1.3.9-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Security upload. (Closes: #945364).
  * CVE-2014-6053: Check malloc() return value on client->server ClientCutText
    message.
  * CVE-2019-8287 (aka CVE-2018-20020): Fix heap out-of-bound write
    vulnerability inside structure in VNC client code.
  * CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
  * CVE-2018-20022: CWE-665: Improper Initialization vulnerability.
  * CVE-2018-7225: Uninitialized and potentially sensitive data could be
    accessed by remote attackers because the msg.cct.length in rfbserver.c was
    not sanitized.
  * CVE-2019-15678: LibVNCClient: ignore server-sent cut text longer than 1MB.
  * Extra patch similar to the fix for CVE-2019-15678: LibVNCClient: ignore
    server-sent reason strings longer than 1MB (see CVE-2018-20748/
    libvncserver).
  * CVE-2019-15679: rfbproto.c/InitialiseRFBConnection: Check desktop name
    length received before allocating memory for it and limit it to 1MB.
  * CVE-2019-15680: Fix null-pointer-deref issue in vncviewer/zlib.c.
  * CVE-2019-15681: rfbserver: don't leak stack memory to the remote.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2019 10:35:50 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xtightvncviewer`.
